## freezer-api 7.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
elasticsearch<3.0.0,>=2.0.0 # Apache-2.0
falcon>=1.0.0 # Apache-2.0
jsonschema>=2.6.0 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
freezer-api (7.2.0-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:53 +0100

freezer-api (7.2.0-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jan 2020 13:40:09 +0100

freezer-api (7.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #945221).

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 21 Nov 2019 13:46:03 +0100

=== debian/control ===
Source: freezer-api
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-elasticsearch,
 python3-falcon,
 python3-fixtures,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-mock,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-reno,
 python3-six,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/freezer-api
Vcs-Git: https://salsa.debian.org/openstack-team/services/freezer-api.git
Homepage: https://wiki.openstack.org/wiki/Freezer-api

Package: freezer-api
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-freezer-api (=${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 sqlite3,
 uwsgi-plugin-python3 (>= 2.0.18),
 python3-pastescript,
 ${ostack-lsb-base},
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack backup restore and disaster recovery service - common files
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains the daemons.

Package: freezer-api-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack backup restore and disaster recovery service - Documentation
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains the documentation.

Package: python3-freezer-api
Section: python
Architecture: all
Depends:
 python3-elasticsearch,
 python3-falcon,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-paste,
 python3-pastedeploy,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack backup restore and disaster recovery service - Python files
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

FREEZER_API_CONF=$(CURDIR)/debian/freezer-api/usr/share/freezer-api/freezer-api.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf .testrepository
	rm -f .coverage
	rm -rf cover
	rm -rf *egg-info
	find .  -type d -name __pycache__ -exec rm -r {} \+
	find . -type f -name "*.py[c|o]" -delete

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func freezer-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func freezer-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm freezer-api.postrm
	pkgos-merge-templates freezer-api freezer-api endpoint
	pkgos-merge-templates freezer-api freezer-api db ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Doing nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	pkgos-dh_auto_test --no-py2 'freezer_api.tests.unit'

endif

	# Generate configs
	mkdir -p $(CURDIR)/debian/freezer-api/usr/share/freezer-api
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file=$(FREEZER_API_CONF) \
		--wrap-width 140 \
		--namespace freezer-api \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.middleware \
		--namespace oslo.policy \

	# Re-add missing options
	pkgos-readd-keystone-authtoken-missing-options $(FREEZER_API_CONF) keystone_authtoken freezer


	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/freezer-api/usr/share/freezer-api/policy.json \
		--format json \
		--namespace freezer-api

	# Fix config default values
	pkgos-fix-config-default $(FREEZER_API_CONF) storage backend sqlalchemy
	pkgos-fix-config-default $(FREEZER_API_CONF) storage driver sqlalchemy

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html api-ref/source $(CURDIR)/debian/freezer-api-doc/usr/share/doc/freezer-api-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/freezer-api/tags .*/(\d[\d\.]+)\.tar\.gz

## freezer-api 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -16,4 +16,3 @@
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
-six>=1.10.0 # MIT

=== debian/changelog ===
freezer-api (8.0.0-2) unstable; urgency=medium

  * Edit postrm as freezer-scheduler
  * Add temporary-workaroud-json-validation.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 10 Aug 2020 13:18:55 +0200

freezer-api (8.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Fix requirements
  * d/patches: Remove fix-src-file-to-path-to-backup.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 29 Jul 2020 15:06:28 +0200

freezer-api (7.2.0-3) unstable; urgency=medium

  * d/patches: Add fix-src-file-to-path-to-backup.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 26 Mar 2020 11:50:12 +0100

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  python3-oslotest,
  python3-paste,
  python3-pastedeploy,
+ python3-pymysql,
  python3-reno,
  python3-six,
  python3-testtools,
@@ -53,12 +54,12 @@
  python3-freezer-api (=${source:Version}),
  python3-keystoneclient,
  python3-openstackclient,
+ python3-pastescript,
  q-text-as-data,
  sqlite3,
  uwsgi-plugin-python3 (>= 2.0.18),
- python3-pastescript,
+ ${misc:Depends},
  ${ostack-lsb-base},
- ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack backup restore and disaster recovery service - common files
  Freezer is a distributed backup restore and disaster recovery as a service
@@ -109,6 +110,7 @@
  python3-oslo.upgradecheck (>= 0.1.0),
  python3-paste,
  python3-pastedeploy,
+ python3-pymysql,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

## freezer-api 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 elasticsearch<3.0.0,>=2.0.0 # Apache-2.0
 falcon>=1.0.0 # Apache-2.0
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
 keystonemiddleware>=4.17.0 # Apache-2.0
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT

=== debian/changelog ===
freezer-api (9.0.0-2) unstable; urgency=medium

  * Add dh_python3 --shebang=/usr/bin/python3 (Closes: #976722)

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Dec 2020 23:43:52 +0100

freezer-api (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2020 13:03:26 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-elasticsearch,
  python3-falcon,
  python3-fixtures,
- python3-jsonschema,
+ python3-jsonschema (>= 3.2.0),
  python3-keystonemiddleware,
  python3-mock,
  python3-openstackdocstheme,
@@ -37,9 +37,11 @@
  python3-pymysql,
  python3-reno,
  python3-six,
+ python3-stestr,
  python3-testtools,
+ python3-testresources (>= 2.0.1),
+ python3-testscenarios (>= 0.5.0),
  subunit,
- testrepository,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/freezer-api
 Vcs-Git: https://salsa.debian.org/openstack-team/services/freezer-api.git
@@ -97,7 +99,7 @@
 Depends:
  python3-elasticsearch,
  python3-falcon,
- python3-jsonschema,
+ python3-jsonschema (>= 3.2.0),
  python3-keystonemiddleware,
  python3-oslo.config,
  python3-oslo.context,

=== debian/rules ===
--- 
+++ 
@@ -74,4 +74,5 @@
 	dh_sphinxdoc
 endif
 
-
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/freezer-api/tags .*/(\d[brc\d\.]+)\.tar\.gz

## freezer-api 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 keystonemiddleware>=4.17.0 # Apache-2.0
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT
-oslo.config>=5.2.0 # Apache-2.0
-oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.config>=6.8.0 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
+oslo.db>=4.44.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=1.30.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
-oslo.upgradecheck>=0.1.0 # Apache-2.0
+oslo.upgradecheck>=1.3.0 # Apache-2.0

=== debian/changelog ===
freezer-api (11.0.0-2) unstable; urgency=medium

  * Add python3-os-api-ref depends in freezer-api-doc (Closes: #988930).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 18:17:47 +0100

freezer-api (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:04:52 +0200

freezer-api (11.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist TestSqliteMigrations.test_walk_versions().
  * Add add-header = Connection: close to the uwsgi config.
  * Switch to yaml policy file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 21:36:06 +0200

freezer-api (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 10:43:55 +0200

freezer-api (10.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:44:00 +0200

freezer-api (10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 19:10:57 +0200

freezer-api (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * debhelper-compat 11.
  * d/rules: removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 14:54:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michal Arbet <michal.arbet@ultimum.io>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -17,7 +17,7 @@
  python3-elasticsearch,
  python3-falcon,
  python3-fixtures,
- python3-jsonschema (>= 3.2.0),
+ python3-jsonschema,
  python3-keystonemiddleware,
  python3-mock,
  python3-openstackdocstheme,
@@ -28,9 +28,9 @@
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization,
- python3-oslo.upgradecheck (>= 0.1.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslotest,
  python3-paste,
  python3-pastedeploy,
@@ -39,8 +39,8 @@
  python3-six,
  python3-stestr,
  python3-testtools,
- python3-testresources (>= 2.0.1),
- python3-testscenarios (>= 0.5.0),
+ python3-testresources,
+ python3-testscenarios,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/freezer-api
@@ -59,7 +59,7 @@
  python3-pastescript,
  q-text-as-data,
  sqlite3,
- uwsgi-plugin-python3 (>= 2.0.18),
+ uwsgi-plugin-python3,
  ${misc:Depends},
  ${ostack-lsb-base},
  ${python3:Depends},
@@ -80,6 +80,7 @@
 Depends:
  libjs-bootstrap,
  libjs-jquery,
+ python3-os-api-ref,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: OpenStack backup restore and disaster recovery service - Documentation
@@ -99,7 +100,7 @@
 Depends:
  python3-elasticsearch,
  python3-falcon,
- python3-jsonschema (>= 3.2.0),
+ python3-jsonschema,
  python3-keystonemiddleware,
  python3-oslo.config,
  python3-oslo.context,
@@ -107,9 +108,9 @@
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization,
- python3-oslo.upgradecheck (>= 0.1.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
  python3-paste,
  python3-pastedeploy,
  python3-pymysql,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 FREEZER_API_CONF=$(CURDIR)/debian/freezer-api/usr/share/freezer-api/freezer-api.conf
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -37,8 +37,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	pkgos-dh_auto_test --no-py2 'freezer_api.tests.unit'
-
+	pkgos-dh_auto_test --no-py2 'freezer_api\.tests\.unit(?!.*sqlalchemy\.test_migrations\.TestSqliteMigrations\.test_walk_versions.*)'
 endif
 
 	# Generate configs
@@ -55,11 +54,14 @@
 	# Re-add missing options
 	pkgos-readd-keystone-authtoken-missing-options $(FREEZER_API_CONF) keystone_authtoken freezer
 
+	mkdir -p $(CURDIR)/debian/freezer-api/etc/freezer/policy.d
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+		--output-file $(CURDIR)/debian/freezer-api/etc/freezer/policy.d/00_default_policy.yaml \
+		--format yaml \
+		--namespace freezer-api
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
-		--output-file $(CURDIR)/debian/freezer-api/usr/share/freezer-api/policy.json \
-		--format json \
-		--namespace freezer-api
+	# Comment out deprecated policies
+	sed -i 's/^"/#"/' $(CURDIR)/debian/freezer-api/etc/freezer/policy.d/00_default_policy.yaml
 
 	# Fix config default values
 	pkgos-fix-config-default $(FREEZER_API_CONF) storage backend sqlalchemy

## freezer-api 12.0.0

=== debian/changelog ===
freezer-api (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:19:52 +0200

freezer-api (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Mar 2022 10:16:33 +0100

freezer-api (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 18:00:48 +0100

## freezer-api 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
freezer-api (13.0.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 13:29:43 +0200

freezer-api (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 22:26:25 +0200

freezer-api (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:23:39 +0200

freezer-api (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 09:53:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  python3-all,
  python3-pbr,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 	pkgos-fix-config-default $(FREEZER_API_CONF) storage driver sqlalchemy
 
 	dh_install
+	rm -rf $(CURDIR)/debian/tmp/usr/etc
 	dh_missing --fail-missing
 
 override_dh_sphinxdoc:

## freezer-api 14.0.0

=== debian/changelog ===
freezer-api (14.0.0-3) unstable; urgency=medium

  * Cleans properly (Closes: #1044279).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 16:44:49 +0200

freezer-api (14.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:07:50 +0200

freezer-api (14.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:17:39 +0100

freezer-api (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 16:18:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -61,7 +61,6 @@
  sqlite3,
  uwsgi-plugin-python3,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack backup restore and disaster recovery service - common files
  Freezer is a distributed backup restore and disaster recovery as a service

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	rm -rf *egg-info
 	find .  -type d -name __pycache__ -exec rm -r {} \+
 	find . -type f -name "*.py[c|o]" -delete
+	rm -rf build
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func freezer-api.config

## freezer-api 15.0.0

=== debian/changelog ===
freezer-api (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:26:58 +0200

freezer-api (15.0.0~rc1-2) experimental; urgency=medium

  * Add python3-migrate as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 11:47:46 +0200

freezer-api (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 10:34:39 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-fixtures,
  python3-jsonschema,
  python3-keystonemiddleware,
+ python3-migrate,
  python3-mock,
  python3-openstackdocstheme,
  python3-os-api-ref,
@@ -38,9 +39,9 @@
  python3-reno,
  python3-six,
  python3-stestr,
- python3-testtools,
  python3-testresources,
  python3-testscenarios,
+ python3-testtools,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/freezer-api
@@ -101,6 +102,7 @@
  python3-falcon,
  python3-jsonschema,
  python3-keystonemiddleware,
+ python3-migrate,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 	rm -rf *egg-info
 	find .  -type d -name __pycache__ -exec rm -r {} \+
 	find . -type f -name "*.py[c|o]" -delete
-	rm -rf build
+	rm -rf build $(CURDIR)/debian/po
+	rm -f $(CURDIR)/debian/freezer-api.postrm $(CURDIR)/debian/freezer-api.postinst $(CURDIR)/debian/freezer-api.config
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func freezer-api.config
